Method: projects.capabilityConfigs.delete

Deletes the CapabilityConfig identified by the specified name (for example, folders/123456789/capabilityConfigs/my-capability-config).

HTTP request

DELETE https://cloudresourcemanager.googleapis.com/v3/{name=projects/*/capabilityConfigs/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the CapabilityConfig to delete. Format: organizations/{organization}/capabilityConfigs/{capabilityConfig} or, folders/{folder}/capabilityConfigs/{capabilityConfig} or, projects/{project}/capabilityConfigs/{capabilityConfig}

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.